package templates

import (
	"fmt"
	"kube-forge/internal/config"
)

func ApplyVaultInitKeysTemplate() {
	config := config.GetConfig()
	var VAULT_INIT_KEYS_TEMPLATE = [...][2]string{
		{"templates/secrets-storage/vault-keys.json.tmpl", fmt.Sprintf("%s/vault-keys.json", config.WorkDir)},
	}
	applyTemplates(VAULT_INIT_KEYS_TEMPLATE[:])
}
